Xalan-Java 2.7.1: Class ElemWithParam

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemWithParam

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemWithParam

public class ElemWithParam
extends ElemTemplateElement

Implement xsl:with-param. xsl:with-param is allowed within both xsl:call-template and xsl:apply-templates.

See Also:
  element-with-param in XSLT Specification, Serialized Form
Usage:
  **For advanced use only**

Constructor Summary
`ElemWithParam()`

Method Summary
`ElemTemplateElement` | `appendChild(ElemTemplateElement elem)` Add a child to the child list.
`void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`QName` | `getName()` Get the "name" attribute.
`java.lang.String` | `getNodeName()` Return the node name.
`XPath` | `getSelect()` Get the "select" attribute.
`XObject` | `getValue(TransformerImpl transformer, int sourceNode)` Get the XObject representation of the variable.
`int` | `getXSLToken()` Get an integer representation of the element type.
`void` | `setName(QName v)` Set the "name" attribute.
`void` | `setParentElem(ElemTemplateElement p)` Set the parent as an ElemTemplateElement.
`void` | `setSelect(XPath v)` Set the "select" attribute.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, endCompose, error, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemWithParam

    public ElemWithParam()

Method Detail

### setSelect

    public void setSelect(XPath v)

  Set the "select" attribute. The "select" attribute specifies the value of the argument, if element content is not specified.
  Parameters:
    `v` - Value to set for the "select" attribute.

### getSelect

    public XPath getSelect()

  Get the "select" attribute. The "select" attribute specifies the value of the argument, if element content is not specified.
  Returns:
    Value of the "select" attribute.

### setName

    public void setName(QName v)

  Set the "name" attribute. DJD
  Parameters:
    `v` - Value to set for the "name" attribute.

### getName

    public QName getName()

  Get the "name" attribute. DJD
  Returns:
    Value of the "name" attribute.

### getXSLToken

    public int getXSLToken()

  Get an integer representation of the element type.
  Returns:
    An integer representation of the element, defined in the Constants class.
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.
  Returns:
    the node name.
  Overrides:
    getNodeName in class ElemTemplateElement

### compose

    public void compose(StylesheetRoot sroot)
                 throws TransformerException

  This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
  Overrides:
    compose in class ElemTemplateElement

### setParentElem

    public void setParentElem(ElemTemplateElement p)

  Set the parent as an ElemTemplateElement.
  Parameters:
    `p` - This node's parent as an ElemTemplateElement
  Overrides:
    setParentElem in class ElemTemplateElement

### getValue

    public XObject getValue(TransformerImpl transformer,
                            int sourceNode)
                     throws TransformerException

  Get the XObject representation of the variable.
  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `sourceNode` - non-null reference to the current source node.
  Returns:
    the XObject representation of the variable.
  Throws:
    TransformerException -

### appendChild

    public ElemTemplateElement appendChild(ElemTemplateElement elem)

  Add a child to the child list. If the select attribute is present, an error will be raised.
  Parameters:
    `elem` - New element to append to this element's children list
  Returns:
    null if the select attribute was present, otherwise the child just added to the child list
  Overrides:
    appendChild in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.